/* 
 * Copyright (C) 1999-2004 Joachim Wieland <joe@mcknight.de>
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111, USA.
 */

#include "tp_main.h"

extern int tp_reject(struct proxyinfo*);
extern int tp_connect(struct proxyinfo*);
extern int tp_accept(struct proxyinfo*);
/*
extern char* tp_log_replace_char(const char, struct proxyinfo*);
extern void tp_log_cmd_to_target(struct cmdlogtarget*, struct proxyinfo*);
*/
extern int tp_allocate(struct proxyinfo*);
extern int tp_deallocate(struct proxyinfo*);
extern int tp_init_modules(void);
extern int tp_add_configuration();
extern int tp_reread_config_before(struct proxyinfo*);
extern int tp_reread_config_after(struct proxyinfo*);

int main(int argc, char** argv) {
	struct protocolhandler proto_handler = { "tp",
					       "jtransproxy v"PACKAGE_VERSION,
					       tp_reject,
					       tp_connect,
					       tp_accept,
					       NULL,
					       NULL,
					       tp_allocate,
					       tp_deallocate,
					       tp_init_modules,
					       tp_add_configuration,
					       tp_reread_config_before,
					       tp_reread_config_after,
					       CONFPATH"/jtransproxy.conf",
					       };
	return jproxygw_main(argc, argv, proto_handler);
}
